var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;

class LaunchtypeCtl extends CtlBase {
    constructor() {
        super("launchtypemag", CtlBase.getServiceName(LaunchtypeCtl));
    }

    async refQuery(pobj, qobj, req) {
        pobj.refwhere.company_id = pobj.company_id;
        let rtn = await this.service.refQuery(pobj);
        return rtn
    }
}

module.exports = LaunchtypeCtl;
